DefaultModuleConfigFactory (Apache Struts API Documentation)
Keywords: org.apache.struts.config.impl.DefaultModuleConfigFactory,DefaultModuleConfigFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.config.impl
Class DefaultModuleConfigFactory

    java.lang.Object
      |
      +--org.apache.struts.config.ModuleConfigFactory
            |
            +--org.apache.struts.config.impl.DefaultModuleConfigFactory

All Implemented Interfaces:
  java.io.Serializable

public class DefaultModuleConfigFactory
extends ModuleConfigFactory
implements java.io.Serializable

A factory for creating `ModuleConfig` instances.

Version:
  $Id: DefaultModuleConfigFactory.html 50985 2003-08-22 08:34:00Z rleland $
Author:
  Robert Leland
See Also:
  `ModuleConfig`, `ModuleConfigFactory`, Serialized Form

Field Summary

Fields inherited from class org.apache.struts.config.ModuleConfigFactory
`clazz, factoryClass`

Constructor Summary
`DefaultModuleConfigFactory()`

Method Summary
`ModuleConfig` | `createModuleConfig(java.lang.String prefix)` Create and return a newly instansiated `ModuleConfig`.

Methods inherited from class org.apache.struts.config.ModuleConfigFactory
`createFactory, getFactoryClass, setFactoryClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultModuleConfigFactory

    public DefaultModuleConfigFactory()

Method Detail

### createModuleConfig

    public ModuleConfig createModuleConfig(java.lang.String prefix)

  Create and return a newly instansiated `ModuleConfig`. This method must be implemented by concrete subclasses.

  Specified by:
    `createModuleConfig` in class `ModuleConfigFactory`
  Parameters:
    `prefix` - Module prefix for Configuration

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation